/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct TopReaction {
    /// The name of the emoji used for this reaction.
    #[serde(rename = "emoji_name", skip_serializing_if = "Option::is_none")]
    pub emoji_name: Option<String>,
    /// The number of the times this emoji has been used.
    #[serde(rename = "count", skip_serializing_if = "Option::is_none")]
    pub count: Option<i64>,
}

impl TopReaction {
    pub fn new() -> TopReaction {
        TopReaction {
            emoji_name: None,
            count: None,
        }
    }
}
